Bug 746754 - Review request: pdfcrack - A Password Recovery Tool for PDF-files.
Summary: Review request: pdfcrack - A Password Recovery Tool for PDF-files.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: All
high
high
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-17 17:14 UTC by pjp
Modified: 2014-09-25 00:17 UTC (History)
7 users (show)

Fixed In Version: pdfcrack-0.14-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-19 10:11:30 UTC
hobbes1069: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
Ubuntu man page (modified) (2.00 KB, application/octet-stream)
2011-10-28 18:38 UTC, Richard Shaw
no flags Details

Comment 1 Rahul Sundaram 2011-10-17 17:21:33 UTC
You don't need the following anymore:

---
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%clean
rm -rf $RPM_BUILD_ROOT
%defattr(-,root,root,-)

--

Groups is optional and can be remove as well.  License is GPLv2+ and not GPLv2.  Read the license header in the source files for confirmation.  You can omit the license information in the description. 

Follow the packaging guidelines for Sourceforge url.  Use name and version macros.

Comment 3 Gregor Tätzner 2011-10-18 10:21:07 UTC
I think the removal of the deprecated rpm tags was a mistake because your package should work on EPEL, too (http://fedoraproject.org/wiki/EPEL)

please format the bindir macro in %files and use name macro

also you should include changelog in %doc

Comment 4 Rahul Sundaram 2011-10-18 16:32:43 UTC
No.  There is no requirement that packages should work on EPEL and EPEL spec can be different from the Fedora spec.

Comment 6 Gregor Tätzner 2011-10-19 17:49:26 UTC
fine, but you forgot a name macro in %install

also rpmlint is complaining:

rpmlint pdfcrack-debuginfo-0.11-2.fc17.i686.rpm
        
        pdfcrack-debuginfo.i686: E: empty-debuginfo-package
        1 packages and 0 specfiles checked; 1 errors, 0 warnings.

I'm confused...any ideas?

Comment 7 Prasad J Pandit 2011-10-20 08:55:32 UTC
Please see:

SPEC: http://pjp.dgplug.org/tools/pdfcrack.spec
SRPM: http://pjp.dgplug.org/tools/pdfcrack-0.11-4.fc14.src.rpm

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3446368


I'm not sure about the empty-debuginfo package though.

Comment 8 Rahul Sundaram 2011-10-21 03:51:57 UTC
Can post to devel list if you cant figure out why.  Fix that debuginfo issue and I can approve.

Comment 10 Gregor Tätzner 2011-10-27 18:26:36 UTC
rpmlint pdfcrack-debuginfo-0.11-5.fc17.i686.rpm
        ================================================================================
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================

thumbs up ;-) but I can't approve you sry

Comment 11 Richard Shaw 2011-10-28 13:14:57 UTC
Ok, a couple of updates.

1. The 'GNU/Linux (other POSIX-compatible systems should work too)' from the description should probably be removed as we don't care about other POSIX systems in this case, the package is only expected to work in Fedora.

2. Building with the current spec does not use the required CFLAGS. I fixed that like this, but a patch would be better.

%prep
%setup -q
%patch0 -p1

# Update Makefile to use required CFLAGS
sed -i 's/CFLAGS=/CFLAGS+=/g' Makefile


%build
CFLAGS='%{optflags}'
export CFLAGS
make %{?_smp_mflags}

Get those fixed and I'll review it for you. I assume since the flag is not set that you do not need a sponsor, correct?

Richard

Comment 12 Ralf Corsepius 2011-10-28 13:34:30 UTC
You don't have to patch. Simply overriding CFLAGS from the environment should work here. something similar to
make %{?_smp_mflags} CFLAGS="${RPM_OPT_FLAGS}"

Comment 13 Richard Shaw 2011-10-28 13:46:12 UTC
Is overriding a good idea? I'm sure it's ok most of the time, but what if there's existing flags that are important to keep?

Comment 14 Ralf Corsepius 2011-10-28 14:07:57 UTC
(In reply to comment #13)
> Is overriding a good idea?
In general, it's basically a matter of taste.

> I'm sure it's ok most of the time, but what if
> there's existing flags that are important to keep?
In general, you are right. One has to be careful about doing so (Properly written Makefiles take this into consideration), but in this (trivial) case,
the CFLAGS inside of the Makefile can be neglected.

Actually this package is such kind of trivial and its Makefile lacking so much, it could be compiled and build with a single compiler call without any Makefile.

Comment 15 Richard Shaw 2011-10-28 14:30:10 UTC
I'll have to defer to you on the last part. I'm barely a Python programmer and not a C programmer so I usually play it safe and let the Makefile put it's flags on last. I assume that where flags conflict(such as -O2 for RPM_OPT_FLAGS and -O3 in the makefile), the last flag wins...

Comment 17 Richard Shaw 2011-10-28 18:37:38 UTC
FYI your spec link hasn't been update yet but the SRPM worked fine, but it's a moot point because...

I found a Ubuntu man page I'll attach to this bug. 

I'm not sure if you've dealt with man pages so I'll give you the short version:

Add it as a source:

Source1:      pdfcrack.1

Install it to the right location:

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
install -pm0644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_mandir}/man1/

Include in %files

%{_mandir}/man1/%{name}.1

There's no need to gzip it as rpmbuild will take care of that for you.

Richard

Comment 18 Richard Shaw 2011-10-28 18:38:26 UTC
Created attachment 530717 [details]
Ubuntu man page (modified)

Comment 20 Richard Shaw 2011-10-28 21:08:52 UTC
+: OK
-: must be fixed
=: should be fixed (at your discretion)
?: Question or clairification needed
N: not applicable

MUST:
[+] rpmlint output: shown in comment: none
[+] follows package naming guidelines
[+] spec file base name matches package name
[+] package meets the packaging guidelines
[+] package uses a Fedora approved license: GPLv2+
[+] license field matches the actual license.
[+] license file is included in %doc: COPYING
[+] spec file is in American English
[+] spec file is legible
[+] sources match upstream: md5sum matches (00bdb4c44dd209f493fc02d38c1a6377)
[+] package builds on at least one primary arch: Tested F15 x86_64
[N] appropriate use of ExcludeArch
[+] all build requirements in BuildRequires
[N] spec file handles locales properly
[N] ldconfig in %post and %postun
[+] no bundled copies of system libraries
[N] no relocatable packages
[+] package owns all directories that it creates
[+] no files listed twice in %files
[+] proper permissions on files
[+] consistent use of macros
[+] code or permissible content
[N] large documentation in -doc
[+] no runtime dependencies in %doc
[N] header files in -devel
[N] static libraries in -static
[N] .so in -devel
[N] -devel requires main package
[+] package contains no libtool archives
[N] package contains a desktop file, uses desktop-file-install/validate
[+] package does not own files/dirs owned by other packages
[+] all filenames in UTF-8

SHOULD:
[+] query upstream for license text
[N] description and summary contains available translations
[+] package builds in mock
[+] package builds on all supported arches: Tested x86_64 and i686
[+] package functions as described: Tested basic usage.
[+] sane scriptlets
[N] subpackages require the main package
[N] placement of pkgconfig files
[N] file dependencies versus package dependencies
[+] package contains man pages for binaries/scripts

*** APPROVED ***

Comment 21 pjp 2011-10-30 14:05:39 UTC
New Package SCM Request
=======================
Package Name: pdfcrack
Short Description: A password recovery tool for PDF files.
Owners: pjp
Branches: f14 f15 fl6

Comment 22 Gwyn Ciesla 2011-10-31 12:20:36 UTC
Names in summary and SCM request do not match, please correct.  Also, branch
should be f16, not fl6.

Comment 23 pjp 2011-11-02 19:09:31 UTC
New Package SCM Request
=======================
Package Name: PDFCrack
Short Description: A password recovery tool for PDF files.
Owners: pjp
Branches: f14 f15 f16

Comment 24 Gwyn Ciesla 2011-11-02 19:33:46 UTC
Git done (by process-git-requests).

Comment 25 pjp 2011-11-13 07:43:49 UTC
Hi, I tried to import the pdfcrack SRPM to the new git repository, but it fails with the following message

===
$ fedpkg -v import /tmp/pdfcrack-0.11-7.fc14.src.rpm
Running: rpm -qp --qf %{NAME} /tmp/pdfcrack-0.11-7.fc14.src.rpm
Running: rpm -qpl /tmp/pdfcrack-0.11-7.fc14.src.rpm
Creating module object from /home/pjp/src/fedora/PDFCrack
Running: rpm -q --qf %{NAME} --specfile /home/pjp/src/fedora/PDFCrack/pdfcrack.spec
Uploading: 00bdb4c44dd209f493fc02d38c1a6377 pdfcrack-0.11.tar.gz
Could not import srpm: Error checking for pdfcrack-0.11.tar.gz at: https://pkgs.fedoraproject.org/repo/pkgs/upload.cgi
===

It seems that, this is caused by the mismatching package name and git repository name. I've changed the package name in the summary of this bug from: PDFCrack to pdfcrack.

Could someone please rename the git repository to pdfcrack.git ?

Thank you.

Comment 26 Richard Shaw 2011-11-13 13:18:51 UTC
You'll have to reset the cvs flag if you want them to do anything but be sure you're not hitting this issue instead:

https://admin.fedoraproject.org/updates/FEDORA-2011-15612

The SRPM name probably needs to match the git repo name but I don't believe that's absolutely required of the source archive.

Richard

Comment 27 pjp 2011-11-14 05:04:14 UTC
New Package SCM Request
=======================
Package Name: pdfcrack
Short Description: A password recovery tool for PDF files.
Owners: pjp
Branches: f14 f15 f16

Comment 28 Richard Shaw 2011-11-14 14:48:50 UTC
FYI, since the package has already been setup once you may need to use the "change" format instead of the "new package" format[1], but Jon will know for sure.

Richard

[1] http://fedoraproject.org/wiki/Package_SCM_admin_requests#Package_Change_Requests_for_existing_packages

Comment 29 Gwyn Ciesla 2011-11-14 15:54:10 UTC
Git done (by process-git-requests).

Comment 30 Gwyn Ciesla 2011-11-14 15:55:14 UTC
Not sure what happened but it just wasn't there at all.  It is now, sans f14 branch since we're not doing new f14 branches.

Comment 31 Fedora Update System 2011-11-20 18:58:08 UTC
pdfcrack-0.11-7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pdfcrack-0.11-7.fc15

Comment 32 Fedora Update System 2011-11-20 18:58:17 UTC
pdfcrack-0.11-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pdfcrack-0.11-7.fc16

Comment 33 Fedora Update System 2011-11-20 23:55:44 UTC
pdfcrack-0.11-7.fc15 has been pushed to the Fedora 15 testing repository.

Comment 34 Fedora Update System 2011-11-30 01:51:43 UTC
pdfcrack-0.11-7.fc15 has been pushed to the Fedora 15 stable repository.

Comment 35 Fedora Update System 2011-11-30 01:59:26 UTC
pdfcrack-0.11-7.fc16 has been pushed to the Fedora 16 stable repository.

Comment 36 pjp 2014-08-22 17:22:39 UTC
Package Change Request
======================
Package Name: pdfcrack
New Branches: el5 el6 epel7
Owners: pjp

Comment 37 Gwyn Ciesla 2014-08-22 17:56:16 UTC
Git done (by process-git-requests).

Comment 38 Fedora Update System 2014-08-30 13:55:57 UTC
pdfcrack-0.13-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pdfcrack-0.13-1.el6

Comment 39 Fedora Update System 2014-08-30 13:56:04 UTC
pdfcrack-0.13-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/pdfcrack-0.13-1.el7

Comment 40 Fedora Update System 2014-08-30 13:56:11 UTC
pdfcrack-0.13-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pdfcrack-0.13-1.fc19

Comment 41 Fedora Update System 2014-08-30 13:56:17 UTC
pdfcrack-0.13-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pdfcrack-0.13-1.fc20

Comment 42 Fedora Update System 2014-09-01 17:24:52 UTC
pdfcrack-0.13-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pdfcrack-0.13-2.el5

Comment 43 Fedora Update System 2014-09-01 22:31:50 UTC
Package pdfcrack-0.13-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing pdfcrack-0.13-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-2334/pdfcrack-0.13-1.el7
then log in and leave karma (feedback).

Comment 44 Fedora Update System 2014-09-03 02:04:30 UTC
pdfcrack-0.14-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pdfcrack-0.14-1.el5

Comment 45 Fedora Update System 2014-09-03 02:04:37 UTC
pdfcrack-0.14-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pdfcrack-0.14-1.fc20

Comment 46 Fedora Update System 2014-09-03 02:04:44 UTC
pdfcrack-0.14-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pdfcrack-0.14-1.el6

Comment 47 Fedora Update System 2014-09-03 02:04:51 UTC
pdfcrack-0.14-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/pdfcrack-0.14-1.el7

Comment 48 Fedora Update System 2014-09-03 02:05:00 UTC
pdfcrack-0.14-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/pdfcrack-0.14-1.fc21

Comment 49 Fedora Update System 2014-09-03 02:05:06 UTC
pdfcrack-0.14-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pdfcrack-0.14-1.fc19

Comment 50 Fedora Update System 2014-09-19 10:11:30 UTC
pdfcrack-0.14-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 51 Fedora Update System 2014-09-19 10:14:53 UTC
pdfcrack-0.14-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 52 Fedora Update System 2014-09-23 04:58:05 UTC
pdfcrack-0.14-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 53 Fedora Update System 2014-09-24 03:41:45 UTC
pdfcrack-0.14-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 54 Fedora Update System 2014-09-25 00:16:07 UTC
pdfcrack-0.14-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 55 Fedora Update System 2014-09-25 00:17:30 UTC
pdfcrack-0.14-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.